# api\_procedures\_setPermissionGroup.SetPermissionGroupParams

[@polymeshassociation/polymesh-sdk](/polymesh-sdk-api-reference/docs-alpha/classes.md) / [Modules](/polymesh-sdk-api-reference/docs-alpha/modules.md) / [api/procedures/setPermissionGroup](/polymesh-sdk-api-reference/docs-alpha/modules-1/api_procedures_setpermissiongroup.md) / SetPermissionGroupParams

## Interface: SetPermissionGroupParams

[api/procedures/setPermissionGroup](/polymesh-sdk-api-reference/docs-alpha/modules-1/api_procedures_setpermissiongroup.md).SetPermissionGroupParams

This procedure can be called with:

* An Asset's existing Custom Permission Group. The Identity will be assigned as an Agent of that Group for that Asset
* A Known Permission Group and an Asset. The Identity will be assigned as an Agent of that Group for that Asset
* A set of Transaction Permissions and an Asset. If there is no Custom Permission Group with those permissions, a Custom Permission Group will be created for that Asset with those permissions, and the Identity will be assigned as an Agent of that Group for that Asset. Otherwise, the existing Group will be used
* An array of [Transaction Groups](/polymesh-sdk-api-reference/docs-alpha/enums/types.txgroup.md) that represent a set of permissions. If there is no Custom Permission Group with those permissions, a Custom Permission Group will be created with those permissions, and the Identity will be assigned as an Agent of that Group for that Asset. Otherwise, the existing Group will be used

### Table of contents

#### Properties

* [group](#group)

### Properties

#### group

• **group**: [`CustomPermissionGroup`](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_custompermissiongroup.custompermissiongroup.md) | [`KnownPermissionGroup`](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_knownpermissiongroup.knownpermissiongroup.md) | `TransactionsParams` | `TxGroupParams`

**Defined in**

[api/procedures/setPermissionGroup.ts:53](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/api/procedures/setPermissionGroup.ts#L53)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.polymath.network/polymesh-sdk-api-reference/docs-alpha/interfaces/api_procedures_setpermissiongroup.setpermissiongroupparams.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
